Subject: PC Pine 4.03 - Incorrect MIME type when forwarding message with attachment

From: Danny Winokur <[email-masked]>
Date: Fri, 11 Sep 1998 08:11:22 -0700 (Pacific Daylight Time)

Upon upgrading to PC Pine 4.03 from PC Pine 3.96, I've discovered that
when forwarding a message that already had a correctly MIME encoded
attachment, the forwarded message is sent as a single MIME part of type
Text/Plain.  This causes receiving mail readers (including Pine!) to not
recognize the attachment that was part of the original forwarded message.
Instead, any new text, and the forwarded message, including its
attachment(s), are all displayed as plain text, with much of the message
consisting of the MIME encoded text inline.  This does not happen if I
attach a file directly from my local system, instead of forwarding an
attachment that is already part of an existing message.

PC Pine 3.96 did not have this problem.  Is there a configuration
parameter I'm misssing?  Is this a known bug?  Is it intentional for some
reason?

Any help is appreciated, as forwarding messages with attachments occurs
quite frequently, and I'm this change in behavior is a significant
inconvenience.

Thanks.

Regards,
Danny

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------